{{
VGA 800x600 Test pattern
Ozpropdev October 2013

Test #4 - 800 pixels in four WAITVID's
}}

con

	_clkmode = xinput
	_xinfreq = 80_000_000

'Video timing


'for 40MHz dot clock , V= 60Hz ,H = 37.8 kHz

	dot_clock_frqa = $1000_0000  '40Mhz using 80MHz system clock
	front_porch =40
	sync_pulse = 128
	back_porch = 88		'800 + 40 + 128 + 88 = 1056 pixels

	top_blanks = 23
	bottom_blanks = 1
	vsync = 4		'600 + 23 + 1 + 4 = 628 lines

	
dat
			orgh	$e80

			org

			setctra	#%00111			'set ctra for PLL*8
                	setfrqa	_40mhz_			'set frqa
			setvid	#%0100			'set vid for vga output
			setvidy	vidy_			'set yiq coefficients
			setvidi	vidi_
			setvidq	vidq_
			cfgdacs	#%11_11_11_11		'set dacs to video mode
			cfgpins	_pinmask_,_pindacs_		'set pins for dac outputs

'============================================================================

vga		        mov	lx,#top_blanks
			call	#blank
			setptra	_image

	                mov     lx,#300		'set visible lines

line			setspa	#0
			mov	cx,#25
:pp1			rdlong	ax,ptra++	'get 32 pixels
			pusha	ax		'push to clut ram
			djnz	cx,#:pp1

:send_pixels		call	#sync			'do horizontal sync
			waitvid	mode0a,char_color
			waitvid	mode1a,char_color2
			waitvid	mode2a,char_color3
			waitvid	mode3a,char_color4

			setspa	#50
			mov	cx,#25
:pp12			rdlong	ax,ptra++	'get 32 pixels
			pusha	ax		'push to clut ram
			djnz	cx,#:pp12

			call	#sync			'do horizontal sync
			waitvid	mode0b,char_color
			waitvid	mode1b,char_color2
			waitvid	mode2b,char_color3
			waitvid	mode3b,char_color4

			djnz    lx,#line           	'another line?

	                mov     lx,#bottom_blanks
			call	#blank 
			setp	#0			'do vertical sync
			mov	lx,#vsync
			call	#blank
			clrp	#0

	                jmp     #vga

'================================================================================
blank			call	#sync			'blank lines
			waitvid	active,sync_color0
			djnz	lx,#blank
blank_ret		ret
'================================================================================
sync			waitvid	fp,sync_color0
			waitvid	sp,sync_color1
			waitvid	bp,sync_color0
sync_ret		ret
'================================================================================
zero			long	0
_adj			long	150 * 32
_600			long	600
_image			long	@image
_patx			long	$ffffffff

char_color		long	%111_111_111 << 18 + %011_000_000 << 9
char_color2		long	%111_111_111 << 18 + %000_011_000 << 9
char_color3		long	%111_111_111 << 18 + %000_000_011 << 9
char_color4		long	%111_111_111 << 18 + %011_000_011 << 9

mode0a			long	0 << 24 + $7 << 20 + 1 << 13 +	192
mode1a			long	6 << 24 + $7 << 20 + 1 << 13 +	192
mode2a			long	12 << 24 + $7 << 20 + 1 << 13 +	192
mode3a			long	18 << 24 + $7 << 20 + 1 << 13 +	224

mode0b			long	50 << 24 + $7 << 20 + 1 << 13 +	192
mode1b			long	56 << 24 + $7 << 20 + 1 << 13 +	192
mode2b			long	62 << 24 + $7 << 20 + 1 << 13 +	192
mode3b			long	68 << 24 + $7 << 20 + 1 << 13 +	224

sync_color0		long	$0_000000
sync_color1		long	$1_000000

fp			long	front_porch
sp			long	sync_pulse
bp			long	back_porch
active			long	800

ax			long	0
cx			long	0
lx			long	0

_40mhz_			long	dot_clock_frqa
_pinmask_		long	%1111
_pindacs_		long	%1111_101100000		'pin configuration for video DAC

vidy_			long	$00_2C_00_00		'red gain
vidi_			long	$00_00_2C_00		'green gain
vidq_			long	$00_00_00_2C		'blue gain

'**********************************************************************************************

	orgh	$1000

image	

	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$7,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$E0000001
	long	$9,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$90000001
	long	$11,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$88000001
	long	$61,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$86000001
	long	$81,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$81000001
	long	$101,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80800001
	long	$601,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80600001
	long	$801,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80100001
	long	$1001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80080001
	long	$6001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80060001
	long	$8001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80010001
	long	$10001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80008001
	long	$60001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80006001
	long	$80001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80001001
	long	$100001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000801
	long	$600001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000601
	long	$800001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000101
	long	$1000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000081
	long	$6000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000061
	long	$8000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000011
	long	$10000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000009
	long	$60000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000007
	long	$80000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000001,$80000001
	long	$1,$7,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$60000001,$80000001
	long	$1,$9,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$10000001,$80000001
	long	$1,$11,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$8000001,$80000001
	long	$1,$61,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$6000001,$80000001
	long	$1,$81,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1000001,$80000001
	long	$1,$101,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$800001,$80000001
	long	$1,$601,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$600001,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80001,$80000001
	long	$1,$6001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$60001,$80000001
	long	$1,$8001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$10001,$80000001
	long	$1,$10001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$8001,$80000001
	long	$1,$60001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$6001,$80000001
	long	$1,$80001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1001,$80000001
	long	$1,$100001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$801,$80000001
	long	$1,$600001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$601,$80000001
	long	$1,$800001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$101,$80000001
	long	$1,$1000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$81,$80000001
	long	$1,$6000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$61,$80000001
	long	$1,$8000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$11,$80000001
	long	$1,$10000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$9,$80000001
	long	$1,$60000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$7,$80000001
	long	$1,$80000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000001,$1,$80000001
	long	$1,$1,$7,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$60000001,$1,$80000001
	long	$1,$1,$9,$1,$1,$1,$1,$1,$1,$1,$1,$1,$FFFFFFFF,$1,$1,$1,$1,$1,$1,$1,$1,$1,$10000001,$1,$80000001
	long	$1,$1,$11,$1,$1,$1,$1,$1,$1,$1,$1,$FFE00001,$1,$FFF,$1,$1,$1,$1,$1,$1,$1,$1,$8000001,$1,$80000001
	long	$1,$1,$61,$1,$1,$1,$1,$1,$1,$1,$1,$1FE001,$1,$FF001,$1,$1,$1,$1,$1,$1,$1,$1,$6000001,$1,$80000001
	long	$1,$1,$81,$1,$1,$1,$1,$1,$1,$1,$1,$1F81,$1,$3F00001,$1,$1,$1,$1,$1,$1,$1,$1,$1000001,$1,$80000001
	long	$1,$1,$101,$1,$1,$1,$1,$1,$1,$1,$1,$7F,$1,$FC000001,$1,$1,$1,$1,$1,$1,$1,$1,$800001,$1,$80000001
	long	$1,$1,$601,$1,$1,$1,$1,$1,$1,$1,$F0000001,$1,$1,$1,$1F,$1,$1,$1,$1,$1,$1,$1,$600001,$1,$80000001
	long	$1,$1,$801,$1,$1,$1,$1,$1,$1,$1,$F000001,$1,$1,$1,$1E1,$1,$1,$1,$1,$1,$1,$1,$100001,$1,$80000001
	long	$1,$1,$1001,$1,$1,$1,$1,$1,$1,$1,$F00001,$1,$1,$1,$1E01,$1,$1,$1,$1,$1,$1,$1,$80001,$1,$80000001
	long	$1,$1,$6001,$1,$1,$1,$1,$1,$1,$1,$F0001,$1,$1,$1,$1E001,$1,$1,$1,$1,$1,$1,$1,$60001,$1,$80000001
	long	$1,$1,$8001,$1,$1,$1,$1,$1,$1,$1,$F001,$1,$1,$1,$1E0001,$1,$1,$1,$1,$1,$1,$1,$10001,$1,$80000001
	long	$1,$1,$10001,$1,$1,$1,$1,$1,$1,$1,$E01,$1,$1,$1,$E00001,$1,$1,$1,$1,$1,$1,$1,$8001,$1,$80000001
	long	$1,$1,$60001,$1,$1,$1,$1,$1,$1,$1,$1E1,$1,$1,$1,$F000001,$1,$1,$1,$1,$1,$1,$1,$6001,$1,$80000001
	long	$1,$1,$80001,$1,$1,$1,$1,$1,$1,$1,$1D,$1,$1,$1,$70000001,$1,$1,$1,$1,$1,$1,$1,$1001,$1,$80000001
	long	$1,$1,$100001,$1,$1,$1,$1,$1,$1,$1,$3,$1,$1,$1,$80000001,$3,$1,$1,$1,$1,$1,$1,$801,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$800001,$1,$1,$1,$1,$1,$1,$1C000001,$1,$1,$1,$1,$1,$71,$1,$1,$1,$1,$1,$1,$101,$1,$80000001
	long	$1,$1,$1000001,$1,$1,$1,$1,$1,$1,$3800001,$1,$1,$1,$1,$1,$381,$1,$1,$1,$1,$1,$1,$81,$1,$80000001
	long	$1,$1,$6000001,$1,$1,$1,$1,$1,$1,$600001,$1,$1,$1,$1,$1,$C01,$1,$1,$1,$1,$1,$1,$61,$1,$80000001
	long	$1,$1,$8000001,$1,$1,$1,$1,$1,$1,$1C0001,$1,$1,$1,$1,$1,$7001,$1,$1,$1,$1,$1,$1,$11,$1,$80000001
	long	$1,$1,$10000001,$1,$1,$1,$1,$1,$1,$30001,$1,$1,$1,$1,$1,$18001,$1,$1,$1,$1,$1,$1,$9,$1,$80000001
	long	$1,$1,$60000001,$1,$1,$1,$1,$1,$1,$E001,$1,$1,$1,$1,$1,$E0001,$1,$1,$1,$1,$1,$1,$7,$1,$80000001
	long	$1,$1,$80000001,$1,$1,$1,$1,$1,$1,$1801,$1,$1,$1,$1,$1,$300001,$1,$1,$1,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$1,$1,$1,$601,$1,$1,$1,$1,$1,$C00001,$1,$1,$1,$1,$1,$80000001,$1,$1,$80000001
	long	$1,$1,$1,$7,$1,$1,$1,$1,$1,$181,$1,$1,$1,$1,$1,$3000001,$1,$1,$1,$1,$1,$60000001,$1,$1,$80000001
	long	$1,$1,$1,$9,$1,$1,$1,$1,$1,$71,$1,$1,$1,$1,$1,$1C000001,$1,$1,$1,$1,$1,$10000001,$1,$1,$80000001
	long	$1,$1,$1,$11,$1,$1,$1,$1,$1,$D,$1,$1,$1,$1,$1,$60000001,$1,$1,$1,$1,$1,$8000001,$1,$1,$80000001
	long	$1,$1,$1,$61,$1,$1,$1,$1,$1,$3,$1,$1,$1,$1,$1,$80000001,$1,$1,$1,$1,$1,$6000001,$1,$1,$80000001
	long	$1,$1,$1,$81,$1,$1,$1,$1,$80000001,$1,$1,$1,$1,$1,$1,$1,$3,$1,$1,$1,$1,$1000001,$1,$1,$80000001
	long	$1,$1,$1,$101,$1,$1,$1,$1,$60000001,$1,$1,$1,$1,$1,$1,$1,$D,$1,$1,$1,$1,$800001,$1,$1,$80000001
	long	$1,$1,$1,$601,$1,$1,$1,$1,$18000001,$1,$1,$1,$1,$1,$1,$1,$31,$1,$1,$1,$1,$600001,$1,$1,$80000001
	long	$1,$1,$1,$801,$1,$1,$1,$1,$6000001,$1,$1,$1,$1,$1,$1,$1,$C1,$1,$1,$1,$1,$100001,$1,$1,$80000001
	long	$1,$1,$1,$1001,$1,$1,$1,$1,$1800001,$1,$1,$1,$1,$1,$1,$1,$301,$1,$1,$1,$1,$80001,$1,$1,$80000001
	long	$1,$1,$1,$6001,$1,$1,$1,$1,$600001,$1,$1,$1,$1,$1,$1,$1,$C01,$1,$1,$1,$1,$60001,$1,$1,$80000001
	long	$1,$1,$1,$8001,$1,$1,$1,$1,$100001,$1,$1,$1,$1,$1,$1,$1,$1001,$1,$1,$1,$1,$10001,$1,$1,$80000001
	long	$1,$1,$1,$10001,$1,$1,$1,$1,$C0001,$1,$1,$1,$1,$1,$1,$1,$6001,$1,$1,$1,$1,$8001,$1,$1,$80000001
	long	$1,$1,$1,$60001,$1,$1,$1,$1,$30001,$1,$1,$1,$1,$1,$1,$1,$18001,$1,$1,$1,$1,$6001,$1,$1,$80000001
	long	$1,$1,$1,$80001,$1,$1,$1,$1,$C001,$1,$1,$1,$1,$1,$1,$1,$60001,$1,$1,$1,$1,$1001,$1,$1,$80000001
	long	$1,$1,$1,$100001,$1,$1,$1,$1,$2001,$1,$1,$1,$1,$1,$1,$1,$80001,$1,$1,$1,$1,$801,$1,$1,$80000001
	long	$1,$1,$1,$600001,$1,$1,$1,$1,$1801,$1,$1,$1,$1,$1,$1,$1,$300001,$1,$1,$1,$1,$601,$1,$1,$80000001
	long	$1,$1,$1,$800001,$1,$1,$1,$1,$401,$1,$1,$1,$1,$1,$1,$1,$400001,$1,$1,$1,$1,$101,$1,$1,$80000001
	long	$1,$1,$1,$1000001,$1,$1,$1,$1,$301,$1,$1,$1,$1,$1,$1,$1,$1800001,$1,$1,$1,$1,$81,$1,$1,$80000001
	long	$1,$1,$1,$6000001,$1,$1,$1,$1,$81,$1,$1,$1,$1,$1,$1,$1,$2000001,$1,$1,$1,$1,$61,$1,$1,$80000001
	long	$1,$1,$1,$8000001,$1,$1,$1,$1,$61,$1,$1,$1,$1,$1,$1,$1,$C000001,$1,$1,$1,$1,$11,$1,$1,$80000001
	long	$1,$1,$1,$10000001,$1,$1,$1,$1,$11,$1,$1,$1,$1,$1,$1,$1,$10000001,$1,$1,$1,$1,$9,$1,$1,$80000001
	long	$1,$1,$1,$60000001,$1,$1,$1,$1,$D,$1,$1,$1,$1,$1,$1,$1,$60000001,$1,$1,$1,$1,$7,$1,$1,$80000001
	long	$1,$1,$1,$80000001,$1,$1,$1,$1,$3,$1,$1,$1,$1,$1,$1,$1,$80000001,$1,$1,$1,$1,$1,$1,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$1,$1,$7,$1,$1,$40000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$5,$1,$1,$60000001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$9,$1,$1,$20000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$9,$1,$1,$10000001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$11,$1,$1,$18000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$31,$1,$1,$8000001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$61,$1,$1,$4000001,$1,$1,$1,$1,$3FFFFFF9,$1,$1,$1,$1,$41,$1,$1,$6000001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$81,$1,$1,$2000001,$1,$1,$1,$FF000001,$C0000007,$FF,$1,$1,$1,$81,$1,$1,$1000001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$101,$1,$1,$1800001,$1,$1,$1,$FE0001,$1,$FF01,$1,$1,$1,$301,$1,$1,$800001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$601,$1,$1,$400001,$1,$1,$1,$1F801,$1,$3F0001,$1,$1,$1,$401,$1,$1,$600001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$801,$1,$1,$200001,$1,$1,$1,$7C1,$1,$7C00001,$1,$1,$1,$801,$1,$1,$100001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1001,$1,$1,$180001,$1,$1,$1,$3D,$1,$78000001,$1,$1,$1,$3001,$1,$1,$80001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$6001,$1,$1,$40001,$1,$1,$C0000001,$3,$1,$80000001,$7,$1,$1,$4001,$1,$1,$60001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$8001,$1,$1,$20001,$1,$1,$3C000001,$1,$1,$1,$79,$1,$1,$8001,$1,$1,$10001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$10001,$1,$1,$10001,$1,$1,$3800001,$1,$1,$1,$381,$1,$1,$10001,$1,$1,$8001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$60001,$1,$1,$8001,$1,$1,$700001,$1,$1,$1,$1C01,$1,$1,$20001,$1,$1,$6001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$80001,$1,$1,$4001,$1,$1,$E0001,$1,$1,$1,$E001,$1,$1,$C0001,$1,$1,$1001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$100001,$1,$1,$3001,$1,$1,$1C001,$1,$1,$1,$70001,$1,$1,$100001,$1,$1,$801,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$600001,$1,$1,$801,$1,$1,$3801,$1,$1,$1,$380001,$1,$1,$200001,$1,$1,$601,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$1,$401,$1,$1,$701,$1,$1,$1,$1C00001,$1,$1,$400001,$1,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$1,$201,$1,$1,$C1,$1,$1,$1,$6000001,$1,$1,$800001,$1,$1,$81,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$6000001,$1,$1,$101,$1,$1,$39,$1,$1,$1,$38000001,$1,$1,$1000001,$1,$1,$61,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$8000001,$1,$1,$81,$1,$1,$7,$1,$1,$1,$C0000001,$1,$1,$2000001,$1,$1,$11,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$10000001,$1,$1,$41,$1,$80000001,$1,$1,$1,$1,$1,$3,$1,$4000001,$1,$1,$9,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$60000001,$1,$1,$21,$1,$70000001,$1,$1,$1,$1,$1,$D,$1,$8000001,$1,$1,$7,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$80000001,$1,$1,$11,$1,$C000001,$1,$1,$1,$1,$1,$71,$1,$10000001,$1,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$1,$9,$1,$3000001,$1,$1,$1,$1,$1,$181,$1,$20000001,$1,$80000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$7,$1,$5,$1,$C00001,$1,$1,$1,$1,$1,$601,$1,$40000001,$1,$60000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$9,$1,$3,$1,$300001,$1,$1,$1,$1,$1,$1801,$1,$80000001,$1,$10000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$11,$80000001,$1,$1,$C0001,$1,$1,$1,$1,$1,$6001,$1,$1,$3,$8000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$61,$80000001,$1,$1,$20001,$1,$1,$1,$1,$1,$18001,$1,$1,$5,$6000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$81,$40000001,$1,$1,$18001,$1,$1,$1,$1,$1,$20001,$1,$1,$5,$1000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$101,$20000001,$1,$1,$6001,$1,$1,$1,$1,$1,$C0001,$1,$1,$9,$800001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$601,$10000001,$1,$1,$1801,$1,$1,$1,$1,$1,$300001,$1,$1,$11,$600001,$1,$1,$1,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$1,$1,$1,$1001,$4000001,$1,$1,$301,$1,$1,$1,$1,$1,$1800001,$1,$1,$41,$80001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$6001,$2000001,$1,$1,$C1,$1,$1,$1,$1,$1,$6000001,$1,$1,$81,$60001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$8001,$1000001,$1,$1,$21,$1,$1,$1,$1,$1,$8000001,$1,$1,$101,$10001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$10001,$800001,$1,$1,$19,$1,$1,$1,$1,$1,$30000001,$1,$1,$201,$8001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$60001,$400001,$1,$1,$5,$1,$1,$1,$1,$1,$40000001,$1,$1,$401,$6001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$80001,$200001,$1,$1,$3,$1,$1,$1,$1,$1,$80000001,$1,$1,$801,$1001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$100001,$100001,$1,$80000001,$1,$1,$1,$1,$1,$1,$1,$3,$1,$1001,$801,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$600001,$80001,$1,$40000001,$1,$1,$1,$1,$1,$1,$1,$5,$1,$2001,$601,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$800001,$80001,$1,$30000001,$1,$1,$1,$1,$1,$1,$1,$19,$1,$2001,$101,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1000001,$40001,$1,$8000001,$1,$1,$1,$1,$1,$1,$1,$21,$1,$4001,$81,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$6000001,$20001,$1,$4000001,$1,$1,$1,$1,$1,$1,$1,$41,$1,$8001,$61,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$8000001,$10001,$1,$3000001,$1,$1,$1,$1,$1,$1,$1,$181,$1,$10001,$11,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$10000001,$8001,$1,$800001,$1,$1,$1,$1,$1,$1,$1,$201,$1,$20001,$9,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$60000001,$4001,$1,$400001,$1,$1,$1,$1,$1,$1,$1,$401,$1,$40001,$7,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$80000001,$2001,$1,$300001,$1,$1,$1,$1,$1,$1,$1,$1801,$1,$80001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$2001,$1,$80001,$1,$1,$1,$1,$1,$1,$1,$2001,$1,$80080001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$1007,$1,$40001,$1,$1,$1,$1,$1,$1,$1,$4001,$1,$60100001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$809,$1,$30001,$1,$1,$1,$1,$1,$1,$1,$18001,$1,$10200001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$411,$1,$8001,$1,$1,$1,$1,$1,$1,$1,$20001,$1,$8400001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$461,$1,$4001,$1,$1,$1,$1,$1,$1,$1,$40001,$1,$6400001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$281,$1,$2001,$1,$1,$1,$1,$1,$1,$1,$80001,$1,$1800001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$101,$1,$1001,$1,$1,$1,$FFFFFE1,$1,$1,$1,$100001,$1,$1800001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$681,$1,$801,$1,$1,$F0000001,$F000001F,$1F,$1,$1,$200001,$1,$2600001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$881,$1,$401,$1,$1,$FC00001,$1,$7E1,$1,$1,$400001,$1,$2100001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$1041,$1,$201,$1,$1,$3E0001,$1,$F801,$1,$1,$800001,$1,$4080001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$6021,$1,$101,$1,$1,$1E001,$1,$F0001,$1,$1,$1000001,$1,$8060001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$8011,$1,$C1,$1,$1,$1E01,$1,$F00001,$1,$1,$6000001,$1,$10010001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$10011,$1,$21,$1,$1,$1E1,$1,$F000001,$1,$1,$8000001,$1,$10008001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$60009,$1,$11,$1,$1,$1D,$1,$70000001,$1,$1,$10000001,$1,$20006001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$80005,$1,$9,$1,$80000001,$3,$1,$80000001,$3,$1,$20000001,$1,$40001001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$100005,$1,$5,$1,$70000001,$1,$1,$1,$1D,$1,$40000001,$1,$40000801,$1,$1,$1,$1,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$1,$1,$1,$1,$800001,$1,$1,$1,$3800001,$1,$1,$1,$381,$1,$1,$1,$101,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$1000001,$80000001,$1,$1,$600001,$1,$1,$1,$C01,$1,$1,$3,$81,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$80000001,$6000001,$80000001,$1,$1,$180001,$1,$1,$1,$3001,$1,$1,$3,$61,$3,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$40000001,$8000001,$40000001,$1,$1,$60001,$1,$1,$1,$C001,$1,$1,$5,$11,$5,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$40000001,$10000001,$20000001,$1,$1,$1C001,$1,$1,$1,$70001,$1,$1,$9,$9,$5,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$20000001,$60000001,$10000001,$1,$1,$3001,$1,$1,$1,$180001,$1,$1,$11,$7,$9,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$10000001,$80000001,$8000001,$1,$1,$C01,$1,$1,$1,$600001,$1,$1,$21,$1,$11,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$10000001,$1,$4000001,$1,$1,$301,$1,$1,$1,$1800001,$1,$1,$80000041,$1,$11,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$8000001,$1,$2000007,$1,$1,$81,$1,$1,$1,$2000001,$1,$1,$60000081,$1,$21,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$4000001,$1,$1000009,$1,$1,$61,$1,$1,$1,$C000001,$1,$1,$10000101,$1,$41,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$4000001,$1,$800011,$1,$1,$19,$1,$1,$1,$30000001,$1,$1,$8000201,$1,$41,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$2000001,$1,$400061,$1,$1,$5,$1,$1,$1,$40000001,$1,$1,$6000401,$1,$81,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$2000001,$1,$400081,$1,$1,$3,$1,$1,$1,$80000001,$1,$1,$1000801,$1,$81,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1000001,$1,$200101,$1,$C0000001,$1,$1,$1,$1,$1,$7,$1,$800801,$1,$101,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1000001,$1,$100601,$1,$20000001,$1,$1,$1,$1,$1,$9,$1,$601001,$1,$101,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$800001,$1,$80801,$1,$18000001,$1,$1,$1,$1,$1,$31,$1,$102001,$1,$201,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$400001,$1,$81001,$1,$4000001,$1,$1,$1,$1,$1,$41,$1,$84001,$1,$401,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$400001,$1,$46001,$1,$2000001,$1,$1,$1,$1,$1,$81,$1,$64001,$1,$401,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$200001,$1,$28001,$1,$1800001,$1,$1,$1,$1,$1,$301,$1,$18001,$1,$801,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$200001,$1,$10001,$1,$400001,$1,$1,$1,$1,$1,$401,$1,$18001,$1,$801,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$100001,$1,$70001,$1,$200001,$1,$1,$1,$1,$1,$801,$1,$16001,$1,$1001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$100001,$1,$88001,$1,$180001,$1,$1,$1,$1,$1,$3001,$1,$21001,$1,$1001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$80001,$1,$104001,$1,$40001,$1,$1,$1,$1,$1,$4001,$1,$40801,$1,$2001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$80001,$1,$602001,$1,$20001,$1,$1,$1,$1,$1,$8001,$1,$80601,$1,$2001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$40001,$1,$802001,$1,$10001,$1,$1,$1,$1,$1,$10001,$1,$80101,$1,$4001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$40001,$1,$1001001,$1,$8001,$1,$1,$1,$1,$1,$20001,$1,$100081,$1,$4001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$20001,$1,$6000801,$1,$4001,$1,$1,$1,$1,$1,$C0001,$1,$200061,$1,$8001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$10001,$1,$8000401,$1,$3001,$1,$1,$1,$1,$1,$100001,$1,$400011,$1,$10001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$10001,$1,$10000401,$1,$801,$1,$1,$1,$1,$1,$200001,$1,$400009,$1,$10001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$8001,$1,$60000201,$1,$401,$1,$1,$1,$1,$1,$400001,$1,$800007,$1,$20001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$8001,$1,$80000101,$1,$201,$1,$1,$1,$1,$1,$800001,$1,$1000001,$1,$20001,$1,$1,$1,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$1,$1,$1,$4001,$1,$81,$7,$81,$1,$1,$1,$1,$1,$2000001,$60000001,$2000001,$1,$40001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$4001,$1,$41,$9,$41,$1,$1,$1,$1,$1,$4000001,$10000001,$4000001,$1,$40001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$2001,$1,$41,$11,$21,$1,$1,$1,$1,$1,$8000001,$8000001,$4000001,$1,$80001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$2001,$1,$21,$61,$11,$1,$1,$1,$1,$1,$10000001,$6000001,$8000001,$1,$80001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1001,$1,$21,$81,$9,$1,$1,$1,$1,$1,$20000001,$1000001,$8000001,$1,$100001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1001,$1,$11,$101,$5,$1,$1,$1,$1,$1,$40000001,$800001,$10000001,$1,$100001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$801,$1,$9,$601,$3,$1,$1,$1,$1,$1,$80000001,$600001,$20000001,$1,$200001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$801,$1,$9,$801,$1,$1,$1,$7FFFFC1,$1,$1,$1,$100001,$20000001,$1,$200001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$401,$1,$5,$1001,$1,$1,$1,$F800003F,$1,$1,$1,$80001,$40000001,$1,$400001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$401,$1,$5,$80006001,$1,$1,$F8000001,$1,$3F,$1,$1,$60003,$40000001,$1,$400001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$401,$1,$3,$40008001,$1,$1,$7800001,$1,$3C1,$1,$1,$10005,$80000001,$1,$400001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$201,$1,$3,$20010001,$1,$1,$780001,$1,$3C01,$1,$1,$8009,$80000001,$1,$800001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$201,$1,$1,$10060001,$1,$1,$70001,$1,$1C001,$1,$1,$6011,$1,$1,$800001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$101,$80000001,$1,$8080001,$1,$1,$E001,$1,$E0001,$1,$1,$1021,$1,$3,$1000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$101,$80000001,$1,$4100001,$1,$1,$1801,$1,$300001,$1,$1,$841,$1,$3,$1000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$101,$40000001,$1,$4600001,$1,$1,$701,$1,$1C00001,$1,$1,$641,$1,$5,$1000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$81,$40000001,$1,$2800001,$1,$1,$C1,$1,$6000001,$1,$1,$181,$1,$5,$2000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$81,$20000001,$1,$1000001,$1,$1,$31,$1,$18000001,$1,$1,$181,$1,$9,$2000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$41,$20000001,$1,$6800001,$1,$1,$D,$1,$60000001,$1,$1,$261,$1,$9,$4000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$41,$10000001,$1,$8800001,$1,$1,$3,$1,$80000001,$1,$1,$211,$1,$11,$4000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$41,$10000001,$1,$10400001,$1,$80000001,$1,$1,$1,$7,$1,$409,$1,$11,$4000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$21,$8000001,$1,$60200001,$1,$60000001,$1,$1,$1,$9,$1,$807,$1,$21,$8000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$21,$8000001,$1,$80100001,$1,$18000001,$1,$1,$1,$31,$1,$1001,$1,$21,$8000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$21,$8000001,$1,$100001,$1,$4000001,$1,$1,$1,$C1,$80000001,$1001,$1,$41,$8000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$11,$4000001,$1,$80001,$7,$3000001,$1,$1,$1,$101,$60000001,$2001,$1,$41,$10000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$11,$4000001,$1,$40001,$9,$800001,$1,$1,$1,$201,$10000001,$4001,$1,$41,$10000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$11,$2000001,$1,$40001,$11,$600001,$1,$1,$1,$C01,$8000001,$4001,$1,$81,$10000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$9,$2000001,$1,$20001,$61,$100001,$1,$1,$1,$1001,$6000001,$8001,$1,$81,$20000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$9,$1000001,$1,$20001,$81,$80001,$1,$1,$1,$2001,$1000001,$8001,$1,$101,$20000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$5,$1000001,$1,$10001,$101,$60001,$1,$1,$1,$C001,$800001,$10001,$1,$101,$40000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$5,$800001,$1,$8001,$601,$10001,$1,$1,$1,$10001,$600001,$20001,$1,$201,$40000001,$1,$1,$1,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$1,$1,$1,$3,$800001,$1,$4001,$1001,$4001,$1,$1,$1,$40001,$80001,$40001,$1,$201,$80000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$3,$400001,$1,$4001,$6001,$2001,$1,$1,$1,$80001,$60001,$40001,$1,$401,$80000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$3,$400001,$1,$2001,$8001,$1001,$1,$1,$1,$100001,$10001,$80001,$1,$401,$80000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$3,$200001,$1,$1001,$10001,$801,$1,$1,$1,$200001,$8001,$100001,$1,$801,$80000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$200001,$1,$1001,$60001,$401,$1,$1,$1,$400001,$6001,$100001,$1,$801,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$200001,$1,$801,$80001,$201,$1,$1,$1,$800001,$1001,$200001,$1,$801,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$100001,$1,$801,$100001,$101,$1,$1,$1,$1000001,$801,$200001,$1,$1001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$80000001,$1,$100001,$1,$401,$600001,$81,$1,$1,$1,$2000001,$601,$400001,$1,$1001,$1,$3,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$80000001,$1,$100001,$1,$401,$800001,$41,$1,$1,$1,$4000001,$101,$400001,$1,$1001,$1,$3,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$80000001,$1,$80001,$1,$201,$1000001,$21,$1,$1,$1,$8000001,$81,$800001,$1,$2001,$1,$3,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$80000001,$1,$80001,$1,$201,$6000001,$11,$1,$1,$1,$10000001,$61,$800001,$1,$2001,$1,$3,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$40000001,$1,$80001,$1,$201,$8000001,$9,$1,$1,$1,$20000001,$11,$800001,$1,$2001,$1,$5,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$40000001,$1,$40001,$1,$101,$10000001,$5,$1,$1,$1,$40000001,$9,$1000001,$1,$4001,$1,$5,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$40000001,$1,$40001,$1,$101,$60000001,$5,$1,$1,$1,$40000001,$7,$1000001,$1,$4001,$1,$5,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$40000001,$1,$40001,$1,$81,$80000001,$3,$1,$1,$1,$80000001,$1,$2000001,$1,$4001,$1,$5,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$20000001,$1,$20001,$1,$81,$1,$1,$1,$1,$1,$80000001,$1,$2000001,$1,$8001,$1,$9,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$20000001,$1,$20001,$1,$41,$80000001,$7,$1,$1,$1,$60000001,$3,$4000001,$1,$8001,$1,$9,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$20000001,$1,$20001,$1,$41,$80000001,$9,$1,$1,$1,$10000001,$3,$4000001,$1,$8001,$1,$9,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$20000001,$1,$10001,$1,$21,$40000001,$11,$1,$1,$1,$8000001,$5,$8000001,$1,$10001,$1,$9,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$10000001,$1,$10001,$1,$21,$20000001,$61,$1,$1,$1,$6000001,$9,$8000001,$1,$10001,$1,$11,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$10000001,$1,$10001,$1,$21,$20000001,$81,$1,$1,$1,$1000001,$9,$8000001,$1,$10001,$1,$11,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$10000001,$1,$8001,$1,$11,$10000001,$101,$1,$1,$1,$800001,$11,$10000001,$1,$20001,$1,$11,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$10000001,$1,$8001,$1,$11,$8000001,$601,$1,$1,$1,$600001,$21,$10000001,$1,$20001,$1,$11,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$8000001,$1,$8001,$1,$9,$8000001,$801,$1,$1,$1,$100001,$21,$20000001,$1,$20001,$1,$21,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$8000001,$1,$8001,$1,$9,$4000001,$1001,$1,$1,$1,$80001,$41,$20000001,$1,$20001,$1,$21,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$8000001,$1,$4001,$1,$9,$4000001,$6001,$1,$7FFC01,$1,$60001,$41,$20000001,$1,$40001,$1,$21,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$8000001,$1,$4001,$1,$5,$2000001,$8001,$1,$F8003E1,$1,$10001,$81,$40000001,$1,$40001,$1,$21,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$8000001,$1,$4001,$1,$5,$1000001,$10001,$1,$F000001F,$1,$8001,$101,$40000001,$1,$40001,$1,$21,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$4000001,$1,$4001,$1,$5,$1000001,$60001,$C0000001,$1,$7,$6001,$101,$40000001,$1,$40001,$1,$41,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$4000001,$1,$2001,$1,$3,$800001,$80001,$30000001,$1,$19,$1001,$201,$80000001,$1,$80001,$1,$41,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$4000001,$1,$2001,$1,$3,$800001,$100001,$C000001,$1,$61,$801,$201,$80000001,$1,$80001,$1,$41,$1,$1,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$1,$1,$4000001,$1,$2001,$1,$1,$400001,$800001,$C00001,$1,$601,$101,$401,$1,$1,$80001,$1,$41,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$4000001,$1,$1001,$1,$1,$200001,$1000001,$200001,$1,$801,$81,$801,$1,$1,$100001,$1,$41,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$2000001,$1,$1001,$1,$1,$200001,$6000001,$180001,$1,$3001,$61,$801,$1,$1,$100001,$1,$81,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$2000001,$1,$1001,$1,$1,$100001,$8000001,$40001,$1,$4001,$11,$1001,$1,$1,$100001,$1,$81,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$2000001,$1,$1001,$80000001,$1,$100001,$10000001,$20001,$1,$8001,$9,$1001,$1,$3,$100001,$1,$81,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$2000001,$1,$1001,$80000001,$1,$100001,$60000001,$10001,$1,$10001,$7,$1001,$1,$3,$100001,$1,$81,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$2000001,$1,$801,$80000001,$1,$80001,$80000001,$8001,$1,$20001,$1,$2001,$1,$3,$200001,$1,$81,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$2000001,$1,$801,$80000001,$1,$80001,$1,$6001,$1,$800C0001,$1,$2001,$1,$3,$200001,$1,$81,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$801,$40000001,$1,$40001,$1,$1007,$1,$60100001,$1,$4001,$1,$5,$200001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$801,$40000001,$1,$40001,$1,$1009,$1,$10100001,$1,$4001,$1,$5,$200001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$801,$40000001,$1,$40001,$1,$811,$1,$8200001,$1,$4001,$1,$5,$200001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$801,$40000001,$1,$20001,$1,$461,$1,$6400001,$1,$8001,$1,$5,$200001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$401,$20000001,$1,$20001,$1,$281,$1,$1800001,$1,$8001,$1,$9,$400001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$401,$20000001,$1,$20001,$1,$101,$1,$1800001,$1,$8001,$1,$9,$400001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$401,$20000001,$1,$10001,$1,$681,$1,$2600001,$1,$10001,$1,$9,$400001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$401,$20000001,$1,$10001,$1,$881,$1,$2100001,$1,$10001,$1,$9,$400001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$401,$20000001,$1,$10001,$1,$1041,$1,$4080001,$1,$10001,$1,$9,$400001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$401,$10000001,$1,$10001,$1,$6021,$1,$8060001,$1,$10001,$1,$11,$400001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$401,$10000001,$1,$8001,$1,$8021,$1,$8010001,$1,$20001,$1,$11,$400001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$401,$10000001,$1,$8001,$1,$10011,$1,$10008001,$1,$20001,$1,$11,$400001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$201,$10000001,$1,$8001,$1,$60011,$1,$10006001,$1,$20001,$1,$11,$800001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$201,$10000001,$1,$8001,$1,$80009,$1,$20001001,$1,$40001,$1,$11,$800001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$201,$10000001,$1,$4001,$1,$100009,$1,$20000801,$1,$40001,$1,$11,$800001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$201,$8000001,$1,$4001,$1,$600005,$1,$40000601,$1,$40001,$1,$21,$800001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$201,$8000001,$1,$4001,$1,$800005,$1,$40000101,$1,$40001,$1,$21,$800001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$201,$8000001,$1,$4001,$1,$1000003,$1,$80000081,$1,$40001,$1,$21,$800001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$201,$8000001,$1,$4001,$1,$6000003,$1,$80000061,$1,$40001,$1,$21,$800001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$201,$8000001,$1,$2001,$1,$8000003,$1,$80000011,$1,$80001,$1,$21,$800001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$201,$8000001,$1,$2001,$1,$10000001,$1,$9,$1,$80001,$1,$21,$800001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$201,$8000001,$1,$2001,$1,$60000001,$1,$7,$1,$80001,$1,$21,$800001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$8000001,$1,$2001,$1,$80000001,$1,$1,$1,$80001,$1,$21,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$2001,$80000001,$1,$60000007,$1,$3,$80001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$80000001,$1,$10000009,$1,$3,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$80000001,$1,$8000011,$1,$3,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$80000001,$1,$6000061,$1,$3,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$80000001,$1,$1000081,$1,$3,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$40000001,$1,$800101,$1,$5,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$40000001,$1,$600601,$1,$5,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$40000001,$1,$100801,$1,$5,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$40000001,$1,$81001,$1,$5,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$40000001,$1,$66001,$1,$5,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$40000001,$1,$18001,$1,$5,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$40000001,$1,$18001,$1,$5,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$40000001,$1,$66001,$1,$5,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$40000001,$1,$81001,$1,$5,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$40000001,$1,$100801,$1,$5,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$40000001,$1,$600601,$1,$5,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$40000001,$1,$800101,$1,$5,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$40000001,$1,$1000081,$1,$5,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$80000001,$1,$6000061,$1,$3,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$80000001,$1,$8000011,$1,$3,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$80000001,$1,$10000009,$1,$3,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$1001,$80000001,$1,$60000007,$1,$3,$100001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$4000001,$1,$2001,$80000001,$1,$80000001,$1,$3,$80001,$1,$41,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$8000001,$1,$2001,$1,$80000001,$1,$1,$1,$80001,$1,$21,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$101,$8000001,$1,$2001,$1,$60000001,$1,$7,$1,$80001,$1,$21,$1000001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$201,$8000001,$1,$2001,$1,$10000001,$1,$9,$1,$80001,$1,$21,$800001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$400001,$1,$201,$8000001,$1,$2001,$1,$8000001,$1,$11,$1,$80001,$1,$21,$800001,$1,$401,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$201,$8000001,$1,$2001,$1,$6000003,$1,$80000061,$1,$80001,$1,$21,$800001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$201,$8000001,$1,$4001,$1,$1000003,$1,$80000081,$1,$40001,$1,$21,$800001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$201,$8000001,$1,$4001,$1,$800003,$1,$80000101,$1,$40001,$1,$21,$800001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$201,$8000001,$1,$4001,$1,$600005,$1,$40000601,$1,$40001,$1,$21,$800001,$1,$201,$1,$1,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$1,$1,$800001,$1,$201,$10000001,$1,$4001,$1,$80009,$1,$20001001,$1,$40001,$1,$11,$800001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$201,$10000001,$1,$8001,$1,$60009,$1,$20006001,$1,$40001,$1,$11,$800001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$201,$10000001,$1,$8001,$1,$10011,$1,$10008001,$1,$20001,$1,$11,$800001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$201,$10000001,$1,$8001,$1,$8011,$1,$10010001,$1,$20001,$1,$11,$400001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$401,$10000001,$1,$8001,$1,$6021,$1,$8060001,$1,$20001,$1,$11,$400001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$401,$10000001,$1,$10001,$1,$1021,$1,$8080001,$1,$10001,$1,$11,$400001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$401,$20000001,$1,$10001,$1,$841,$1,$4100001,$1,$10001,$1,$9,$400001,$1,$201,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$401,$20000001,$1,$10001,$1,$681,$1,$2600001,$1,$10001,$1,$9,$400001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$401,$20000001,$1,$10001,$1,$181,$1,$2800001,$1,$10001,$1,$9,$400001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$401,$20000001,$1,$20001,$1,$181,$1,$1000001,$1,$8001,$1,$9,$400001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$401,$20000001,$1,$20001,$1,$261,$1,$6800001,$1,$8001,$1,$9,$400001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$801,$40000001,$1,$20001,$1,$411,$1,$8400001,$1,$8001,$1,$5,$200001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$801,$40000001,$1,$40001,$1,$809,$1,$10200001,$1,$4001,$1,$5,$200001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$801,$40000001,$1,$40001,$1,$1007,$1,$60100001,$1,$4001,$1,$5,$200001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$801,$40000001,$1,$40001,$1,$1001,$1,$80100001,$1,$4001,$1,$5,$200001,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$2000001,$1,$801,$80000001,$1,$80001,$80000001,$6001,$1,$C0001,$1,$2001,$1,$3,$200001,$1,$81,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$2000001,$1,$801,$80000001,$1,$80001,$60000001,$8001,$1,$20001,$7,$2001,$1,$3,$200001,$1,$81,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$2000001,$1,$1001,$80000001,$1,$100001,$10000001,$10001,$1,$10001,$9,$1001,$1,$3,$100001,$1,$81,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$2000001,$1,$1001,$80000001,$1,$100001,$8000001,$20001,$1,$8001,$11,$1001,$1,$3,$100001,$1,$81,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$2000001,$1,$1001,$1,$1,$100001,$6000001,$40001,$1,$4001,$61,$1001,$1,$1,$100001,$1,$81,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$2000001,$1,$1001,$1,$1,$200001,$1000001,$180001,$1,$3001,$81,$801,$1,$1,$100001,$1,$81,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$4000001,$1,$1001,$1,$1,$200001,$800001,$200001,$1,$801,$101,$801,$1,$1,$100001,$1,$41,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$4000001,$1,$2001,$1,$1,$400001,$600001,$C00001,$1,$601,$601,$401,$1,$1,$80001,$1,$41,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$4000001,$1,$2001,$1,$3,$400001,$100001,$3000001,$1,$181,$801,$401,$80000001,$1,$80001,$1,$41,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$4000001,$1,$2001,$1,$3,$800001,$80001,$C000001,$1,$61,$1001,$201,$80000001,$1,$80001,$1,$41,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$4000001,$1,$2001,$1,$3,$800001,$60001,$30000001,$1,$19,$6001,$201,$80000001,$1,$80001,$1,$41,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$4000001,$1,$4001,$1,$5,$1000001,$10001,$C0000001,$1,$7,$8001,$101,$40000001,$1,$40001,$1,$41,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$8000001,$1,$4001,$1,$5,$1000001,$8001,$1,$F000001F,$1,$10001,$101,$40000001,$1,$40001,$1,$21,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$8000001,$1,$4001,$1,$5,$2000001,$6001,$1,$F8003E1,$1,$60001,$81,$40000001,$1,$40001,$1,$21,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$8000001,$1,$4001,$1,$9,$2000001,$1001,$1,$7FFC01,$1,$80001,$81,$20000001,$1,$40001,$1,$21,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$8000001,$1,$8001,$1,$9,$4000001,$801,$1,$1,$1,$100001,$41,$20000001,$1,$20001,$1,$21,$1,$1,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$1,$1,$10000001,$1,$8001,$1,$11,$8000001,$101,$1,$1,$1,$800001,$21,$10000001,$1,$20001,$1,$11,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$10000001,$1,$8001,$1,$11,$10000001,$81,$1,$1,$1,$1000001,$11,$10000001,$1,$20001,$1,$11,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$10000001,$1,$10001,$1,$21,$10000001,$61,$1,$1,$1,$6000001,$11,$8000001,$1,$10001,$1,$11,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$10000001,$1,$10001,$1,$21,$20000001,$11,$1,$1,$1,$8000001,$9,$8000001,$1,$10001,$1,$11,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$20000001,$1,$10001,$1,$21,$40000001,$9,$1,$1,$1,$10000001,$5,$8000001,$1,$10001,$1,$9,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$20000001,$1,$20001,$1,$41,$80000001,$7,$1,$1,$1,$60000001,$3,$4000001,$1,$8001,$1,$9,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$20000001,$1,$20001,$1,$41,$80000001,$1,$1,$1,$1,$80000001,$3,$4000001,$1,$8001,$1,$9,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$20000001,$1,$20001,$1,$81,$80000001,$1,$1,$1,$1,$1,$1,$2000001,$1,$8001,$1,$9,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$40000001,$1,$40001,$1,$81,$60000001,$3,$1,$1,$1,$80000001,$7,$2000001,$1,$4001,$1,$5,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$40000001,$1,$40001,$1,$101,$10000001,$5,$1,$1,$1,$40000001,$9,$1000001,$1,$4001,$1,$5,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$40000001,$1,$40001,$1,$101,$8000001,$5,$1,$1,$1,$40000001,$11,$1000001,$1,$4001,$1,$5,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$40000001,$1,$80001,$1,$201,$6000001,$9,$1,$1,$1,$20000001,$61,$800001,$1,$2001,$1,$5,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$80000001,$1,$80001,$1,$201,$1000001,$11,$1,$1,$1,$10000001,$81,$800001,$1,$2001,$1,$3,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$80000001,$1,$80001,$1,$201,$800001,$21,$1,$1,$1,$8000001,$101,$800001,$1,$2001,$1,$3,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$80000001,$1,$100001,$1,$401,$600001,$41,$1,$1,$1,$4000001,$601,$400001,$1,$1001,$1,$3,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$80000001,$1,$100001,$1,$401,$100001,$81,$1,$1,$1,$2000001,$801,$400001,$1,$1001,$1,$3,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$100001,$1,$801,$80001,$101,$1,$1,$1,$1000001,$1001,$200001,$1,$1001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$200001,$1,$801,$60001,$201,$1,$1,$1,$800001,$6001,$200001,$1,$801,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$200001,$1,$1001,$10001,$401,$1,$1,$1,$400001,$8001,$100001,$1,$801,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$3,$200001,$1,$1001,$8001,$801,$1,$1,$1,$200001,$10001,$100001,$1,$801,$80000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$3,$400001,$1,$2001,$6001,$1001,$1,$1,$1,$100001,$60001,$80001,$1,$401,$80000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$3,$400001,$1,$4001,$1001,$2001,$1,$1,$1,$80001,$80001,$40001,$1,$401,$80000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$3,$800001,$1,$4001,$801,$4001,$1,$1,$1,$40001,$100001,$40001,$1,$201,$80000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$5,$800001,$1,$8001,$601,$8001,$1,$1,$1,$20001,$600001,$20001,$1,$201,$40000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$5,$800001,$1,$8001,$101,$10001,$1,$1,$1,$10001,$800001,$20001,$1,$201,$40000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$5,$1000001,$1,$10001,$81,$60001,$1,$1,$1,$C001,$1000001,$10001,$1,$101,$40000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$9,$1000001,$1,$20001,$61,$80001,$1,$1,$1,$2001,$6000001,$8001,$1,$101,$20000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$9,$2000001,$1,$20001,$11,$100001,$1,$1,$1,$1001,$8000001,$8001,$1,$81,$20000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$9,$2000001,$1,$40001,$9,$600001,$1,$1,$1,$C01,$10000001,$4001,$1,$81,$20000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$11,$4000001,$1,$40001,$7,$800001,$1,$1,$1,$201,$60000001,$4001,$1,$41,$10000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$11,$4000001,$1,$80001,$1,$3000001,$1,$1,$1,$101,$80000001,$2001,$1,$41,$10000001,$1,$1,$1,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$1,$1,$1,$21,$8000001,$1,$60100001,$1,$18000001,$1,$1,$1,$31,$1,$1007,$1,$21,$8000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$21,$8000001,$1,$10200001,$1,$60000001,$1,$1,$1,$9,$1,$809,$1,$21,$8000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$41,$10000001,$1,$8400001,$1,$80000001,$1,$1,$1,$7,$1,$411,$1,$11,$4000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$41,$10000001,$1,$6800001,$1,$1,$3,$1,$80000001,$1,$1,$261,$1,$11,$4000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$41,$20000001,$1,$1800001,$1,$1,$D,$1,$60000001,$1,$1,$281,$1,$9,$4000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$81,$20000001,$1,$1800001,$1,$1,$31,$1,$18000001,$1,$1,$101,$1,$9,$2000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$81,$40000001,$1,$2600001,$1,$1,$C1,$1,$6000001,$1,$1,$681,$1,$5,$2000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$101,$40000001,$1,$4100001,$1,$1,$701,$1,$1C00001,$1,$1,$841,$1,$5,$1000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$101,$80000001,$1,$4080001,$1,$1,$1801,$1,$300001,$1,$1,$1041,$1,$3,$1000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$101,$80000001,$1,$8060001,$1,$1,$E001,$1,$E0001,$1,$1,$6021,$1,$3,$1000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$201,$1,$1,$10010001,$1,$1,$70001,$1,$1C001,$1,$1,$8011,$1,$1,$800001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$201,$1,$1,$20008001,$1,$1,$780001,$1,$3C01,$1,$1,$10009,$1,$1,$800001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$401,$1,$3,$40006001,$1,$1,$3800001,$1,$381,$1,$1,$60005,$80000001,$1,$400001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$401,$1,$5,$80001001,$1,$1,$FC000001,$1,$7F,$1,$1,$80003,$40000001,$1,$400001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$401,$1,$5,$80000801,$1,$1,$1,$F800003F,$1,$1,$1,$100003,$40000001,$1,$400001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$801,$1,$9,$601,$1,$1,$1,$7FFFFC1,$1,$1,$1,$600001,$20000001,$1,$200001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$801,$1,$9,$101,$3,$1,$1,$1,$1,$1,$80000001,$800001,$20000001,$1,$200001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1001,$1,$11,$81,$5,$1,$1,$1,$1,$1,$40000001,$1000001,$10000001,$1,$100001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1001,$1,$21,$61,$9,$1,$1,$1,$1,$1,$20000001,$6000001,$8000001,$1,$100001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$2001,$1,$21,$11,$11,$1,$1,$1,$1,$1,$10000001,$8000001,$8000001,$1,$80001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$2001,$1,$41,$9,$21,$1,$1,$1,$1,$1,$8000001,$10000001,$4000001,$1,$80001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$4001,$1,$41,$7,$41,$1,$1,$1,$1,$1,$4000001,$60000001,$4000001,$1,$40001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$4001,$1,$81,$1,$81,$1,$1,$1,$1,$1,$2000001,$80000001,$2000001,$1,$40001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$4001,$1,$80000101,$1,$101,$1,$1,$1,$1,$1,$1000001,$1,$1000001,$1,$40001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$8001,$1,$60000101,$1,$201,$1,$1,$1,$1,$1,$800001,$1,$1000007,$1,$20001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$8001,$1,$10000201,$1,$401,$1,$1,$1,$1,$1,$400001,$1,$800009,$1,$20001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$10001,$1,$8000401,$1,$801,$1,$1,$1,$1,$1,$200001,$1,$400011,$1,$10001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$10001,$1,$6000401,$1,$3001,$1,$1,$1,$1,$1,$100001,$1,$400061,$1,$10001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$20001,$1,$1000801,$1,$4001,$1,$1,$1,$1,$1,$C0001,$1,$200081,$1,$8001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$40001,$1,$801001,$1,$8001,$1,$1,$1,$1,$1,$20001,$1,$100101,$1,$4001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$40001,$1,$602001,$1,$10001,$1,$1,$1,$1,$1,$10001,$1,$80601,$1,$4001,$1,$1,$1,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$1,$1,$1,$80001,$1,$84001,$1,$40001,$1,$1,$1,$1,$1,$4001,$1,$41001,$1,$2001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$100001,$1,$68001,$1,$180001,$1,$1,$1,$1,$1,$3001,$1,$26001,$1,$1001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$100001,$1,$10001,$1,$200001,$1,$1,$1,$1,$1,$801,$1,$18001,$1,$1001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$200001,$1,$18001,$1,$400001,$1,$1,$1,$1,$1,$401,$1,$10001,$1,$801,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$200001,$1,$26001,$1,$1800001,$1,$1,$1,$1,$1,$301,$1,$68001,$1,$801,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$400001,$1,$41001,$1,$2000001,$1,$1,$1,$1,$1,$81,$1,$84001,$1,$401,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$400001,$1,$80801,$1,$4000001,$1,$1,$1,$1,$1,$41,$1,$102001,$1,$401,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$800001,$1,$80601,$1,$18000001,$1,$1,$1,$1,$1,$31,$1,$602001,$1,$201,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1000001,$1,$100101,$1,$20000001,$1,$1,$1,$1,$1,$9,$1,$801001,$1,$101,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1000001,$1,$200081,$1,$C0000001,$1,$1,$1,$1,$1,$7,$1,$1000801,$1,$101,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$2000001,$1,$400061,$1,$1,$3,$1,$1,$1,$80000001,$1,$1,$6000401,$1,$81,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$2000001,$1,$400011,$1,$1,$5,$1,$1,$1,$40000001,$1,$1,$8000401,$1,$81,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$4000001,$1,$800009,$1,$1,$19,$1,$1,$1,$30000001,$1,$1,$10000201,$1,$41,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$4000001,$1,$1000007,$1,$1,$61,$1,$1,$1,$C000001,$1,$1,$60000101,$1,$41,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$8000001,$1,$2000001,$1,$1,$81,$1,$1,$1,$2000001,$1,$1,$80000081,$1,$21,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$10000001,$80000001,$4000001,$1,$1,$301,$1,$1,$1,$1800001,$1,$1,$41,$1,$11,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$10000001,$60000001,$8000001,$1,$1,$C01,$1,$1,$1,$600001,$1,$1,$21,$7,$11,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$20000001,$10000001,$10000001,$1,$1,$3001,$1,$1,$1,$180001,$1,$1,$11,$9,$9,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$40000001,$8000001,$20000001,$1,$1,$1C001,$1,$1,$1,$70001,$1,$1,$9,$11,$5,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$40000001,$6000001,$40000001,$1,$1,$60001,$1,$1,$1,$C001,$1,$1,$5,$61,$5,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$80000001,$1000001,$80000001,$1,$1,$180001,$1,$1,$1,$3001,$1,$1,$3,$81,$3,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$800001,$80000001,$1,$1,$600001,$1,$1,$1,$C01,$1,$1,$3,$101,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$600001,$1,$1,$1,$3800001,$1,$1,$1,$381,$1,$1,$1,$601,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$100003,$1,$3,$1,$C000001,$1,$1,$1,$61,$1,$80000001,$1,$80000801,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$80005,$1,$5,$1,$70000001,$1,$1,$1,$1D,$1,$40000001,$1,$40001001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$60005,$1,$9,$1,$80000001,$3,$1,$80000001,$3,$1,$20000001,$1,$40006001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$10009,$1,$11,$1,$1,$1D,$1,$70000001,$1,$1,$10000001,$1,$20008001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$8011,$1,$21,$1,$1,$1E1,$1,$F000001,$1,$1,$8000001,$1,$10010001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$6011,$1,$C1,$1,$1,$1E01,$1,$F00001,$1,$1,$6000001,$1,$10060001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$1021,$1,$101,$1,$1,$1E001,$1,$F0001,$1,$1,$1000001,$1,$8080001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$841,$1,$201,$1,$1,$3E0001,$1,$F801,$1,$1,$800001,$1,$4100001,$1,$1,$1,$1,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$1,$1,$1,$1,$181,$1,$801,$1,$1,$F0000001,$F000001F,$1F,$1,$1,$200001,$1,$2800001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$181,$1,$1001,$1,$1,$1,$FFFFFE1,$1,$1,$1,$100001,$1,$1000001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$261,$1,$2001,$1,$1,$1,$1,$1,$1,$1,$80001,$1,$6800001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$411,$1,$4001,$1,$1,$1,$1,$1,$1,$1,$40001,$1,$8800001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$409,$1,$8001,$1,$1,$1,$1,$1,$1,$1,$20001,$1,$10400001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$807,$1,$30001,$1,$1,$1,$1,$1,$1,$1,$10001,$1,$60200001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$1001,$1,$40001,$1,$1,$1,$1,$1,$1,$1,$C001,$1,$80100001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$80000001,$2001,$1,$80001,$1,$1,$1,$1,$1,$1,$1,$2001,$1,$80001,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$60000001,$2001,$1,$300001,$1,$1,$1,$1,$1,$1,$1,$1001,$1,$80001,$7,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$10000001,$4001,$1,$400001,$1,$1,$1,$1,$1,$1,$1,$C01,$1,$40001,$9,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$8000001,$8001,$1,$800001,$1,$1,$1,$1,$1,$1,$1,$201,$1,$20001,$11,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$6000001,$10001,$1,$3000001,$1,$1,$1,$1,$1,$1,$1,$101,$1,$10001,$61,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1000001,$20001,$1,$4000001,$1,$1,$1,$1,$1,$1,$1,$C1,$1,$8001,$81,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$800001,$40001,$1,$8000001,$1,$1,$1,$1,$1,$1,$1,$21,$1,$4001,$101,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$600001,$40001,$1,$30000001,$1,$1,$1,$1,$1,$1,$1,$11,$1,$4001,$601,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$100001,$80001,$1,$40000001,$1,$1,$1,$1,$1,$1,$1,$D,$1,$2001,$801,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$80001,$100001,$1,$80000001,$1,$1,$1,$1,$1,$1,$1,$3,$1,$1001,$1001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$60001,$200001,$1,$1,$3,$1,$1,$1,$1,$1,$80000001,$1,$1,$801,$6001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$10001,$400001,$1,$1,$5,$1,$1,$1,$1,$1,$40000001,$1,$1,$401,$8001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$8001,$800001,$1,$1,$19,$1,$1,$1,$1,$1,$30000001,$1,$1,$201,$10001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$6001,$1000001,$1,$1,$21,$1,$1,$1,$1,$1,$8000001,$1,$1,$101,$60001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1001,$2000001,$1,$1,$C1,$1,$1,$1,$1,$1,$6000001,$1,$1,$81,$80001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$801,$4000001,$1,$1,$301,$1,$1,$1,$1,$1,$1800001,$1,$1,$41,$100001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$601,$8000001,$1,$1,$401,$1,$1,$1,$1,$1,$400001,$1,$1,$21,$600001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$101,$10000001,$1,$1,$1801,$1,$1,$1,$1,$1,$300001,$1,$1,$11,$800001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$81,$20000001,$1,$1,$6001,$1,$1,$1,$1,$1,$C0001,$1,$1,$9,$1000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$61,$40000001,$1,$1,$18001,$1,$1,$1,$1,$1,$20001,$1,$1,$9,$6000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$11,$40000001,$1,$1,$20001,$1,$1,$1,$1,$1,$18001,$1,$1,$5,$8000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$9,$80000001,$1,$1,$C0001,$1,$1,$1,$1,$1,$6001,$1,$1,$3,$10000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$7,$1,$3,$1,$300001,$1,$1,$1,$1,$1,$1801,$1,$1,$1,$60000001,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$1,$5,$1,$C00001,$1,$1,$1,$1,$1,$601,$1,$C0000001,$1,$80000001,$1,$1,$1,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$1,$1,$60000001,$1,$1,$11,$1,$C000001,$1,$1,$1,$1,$1,$61,$1,$10000001,$1,$1,$7,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$10000001,$1,$1,$21,$1,$70000001,$1,$1,$1,$1,$1,$1D,$1,$8000001,$1,$1,$9,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$8000001,$1,$1,$41,$1,$80000001,$1,$1,$1,$1,$1,$3,$1,$4000001,$1,$1,$11,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$6000001,$1,$1,$81,$1,$1,$7,$1,$1,$1,$C0000001,$1,$1,$2000001,$1,$1,$61,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1000001,$1,$1,$101,$1,$1,$39,$1,$1,$1,$38000001,$1,$1,$1000001,$1,$1,$81,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$800001,$1,$1,$201,$1,$1,$C1,$1,$1,$1,$6000001,$1,$1,$800001,$1,$1,$101,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$600001,$1,$1,$401,$1,$1,$701,$1,$1,$1,$1C00001,$1,$1,$400001,$1,$1,$601,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$100001,$1,$1,$801,$1,$1,$3801,$1,$1,$1,$380001,$1,$1,$200001,$1,$1,$801,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$80001,$1,$1,$3001,$1,$1,$1C001,$1,$1,$1,$70001,$1,$1,$100001,$1,$1,$1001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$60001,$1,$1,$4001,$1,$1,$E0001,$1,$1,$1,$E001,$1,$1,$C0001,$1,$1,$6001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$10001,$1,$1,$8001,$1,$1,$700001,$1,$1,$1,$1C01,$1,$1,$20001,$1,$1,$8001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$8001,$1,$1,$10001,$1,$1,$3800001,$1,$1,$1,$381,$1,$1,$10001,$1,$1,$10001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$6001,$1,$1,$20001,$1,$1,$3C000001,$1,$1,$1,$79,$1,$1,$8001,$1,$1,$60001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1001,$1,$1,$40001,$1,$1,$C0000001,$3,$1,$80000001,$7,$1,$1,$4001,$1,$1,$80001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$801,$1,$1,$180001,$1,$1,$1,$3D,$1,$78000001,$1,$1,$1,$3001,$1,$1,$100001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$601,$1,$1,$200001,$1,$1,$1,$7C1,$1,$7C00001,$1,$1,$1,$801,$1,$1,$600001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$101,$1,$1,$400001,$1,$1,$1,$1F801,$1,$3F0001,$1,$1,$1,$401,$1,$1,$800001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$81,$1,$1,$1800001,$1,$1,$1,$1FE0001,$1,$FF01,$1,$1,$1,$201,$1,$1,$1000001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$61,$1,$1,$2000001,$1,$1,$1,$FE000001,$C0000007,$FF,$1,$1,$1,$181,$1,$1,$6000001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$11,$1,$1,$4000001,$1,$1,$1,$1,$3FFFFFF9,$1,$1,$1,$1,$41,$1,$1,$8000001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$9,$1,$1,$18000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$21,$1,$1,$10000001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$7,$1,$1,$20000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$19,$1,$1,$60000001,$1,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$1,$40000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$5,$1,$1,$80000001,$1,$1,$1,$80000001
	long	$1,$1,$1,$80000001,$1,$1,$1,$80000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$3,$1,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$1,$60000001,$1,$1,$1,$1,$3,$1,$1,$1,$1,$1,$1,$1,$80000001,$1,$1,$1,$1,$7,$1,$1,$80000001
	long	$1,$1,$1,$10000001,$1,$1,$1,$1,$D,$1,$1,$1,$1,$1,$1,$1,$60000001,$1,$1,$1,$1,$9,$1,$1,$80000001
	long	$1,$1,$1,$8000001,$1,$1,$1,$1,$11,$1,$1,$1,$1,$1,$1,$1,$10000001,$1,$1,$1,$1,$11,$1,$1,$80000001
	long	$1,$1,$1,$6000001,$1,$1,$1,$1,$61,$1,$1,$1,$1,$1,$1,$1,$C000001,$1,$1,$1,$1,$61,$1,$1,$80000001
	long	$1,$1,$1,$1000001,$1,$1,$1,$1,$81,$1,$1,$1,$1,$1,$1,$1,$2000001,$1,$1,$1,$1,$81,$1,$1,$80000001
	long	$1,$1,$1,$800001,$1,$1,$1,$1,$301,$1,$1,$1,$1,$1,$1,$1,$1800001,$1,$1,$1,$1,$101,$1,$1,$80000001
	long	$1,$1,$1,$600001,$1,$1,$1,$1,$401,$1,$1,$1,$1,$1,$1,$1,$400001,$1,$1,$1,$1,$601,$1,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$1,$80001,$1,$1,$1,$1,$2001,$1,$1,$1,$1,$1,$1,$1,$80001,$1,$1,$1,$1,$1001,$1,$1,$80000001
	long	$1,$1,$1,$60001,$1,$1,$1,$1,$C001,$1,$1,$1,$1,$1,$1,$1,$60001,$1,$1,$1,$1,$6001,$1,$1,$80000001
	long	$1,$1,$1,$10001,$1,$1,$1,$1,$30001,$1,$1,$1,$1,$1,$1,$1,$18001,$1,$1,$1,$1,$8001,$1,$1,$80000001
	long	$1,$1,$1,$8001,$1,$1,$1,$1,$C0001,$1,$1,$1,$1,$1,$1,$1,$6001,$1,$1,$1,$1,$10001,$1,$1,$80000001
	long	$1,$1,$1,$6001,$1,$1,$1,$1,$100001,$1,$1,$1,$1,$1,$1,$1,$1001,$1,$1,$1,$1,$60001,$1,$1,$80000001
	long	$1,$1,$1,$1001,$1,$1,$1,$1,$600001,$1,$1,$1,$1,$1,$1,$1,$C01,$1,$1,$1,$1,$80001,$1,$1,$80000001
	long	$1,$1,$1,$801,$1,$1,$1,$1,$1800001,$1,$1,$1,$1,$1,$1,$1,$301,$1,$1,$1,$1,$100001,$1,$1,$80000001
	long	$1,$1,$1,$601,$1,$1,$1,$1,$6000001,$1,$1,$1,$1,$1,$1,$1,$C1,$1,$1,$1,$1,$600001,$1,$1,$80000001
	long	$1,$1,$1,$101,$1,$1,$1,$1,$18000001,$1,$1,$1,$1,$1,$1,$1,$31,$1,$1,$1,$1,$800001,$1,$1,$80000001
	long	$1,$1,$1,$81,$1,$1,$1,$1,$60000001,$1,$1,$1,$1,$1,$1,$1,$D,$1,$1,$1,$1,$1000001,$1,$1,$80000001
	long	$1,$1,$1,$61,$1,$1,$1,$1,$80000001,$1,$1,$1,$1,$1,$1,$1,$3,$1,$1,$1,$1,$6000001,$1,$1,$80000001
	long	$1,$1,$1,$11,$1,$1,$1,$1,$1,$3,$1,$1,$1,$1,$1,$80000001,$1,$1,$1,$1,$1,$8000001,$1,$1,$80000001
	long	$1,$1,$1,$9,$1,$1,$1,$1,$1,$D,$1,$1,$1,$1,$1,$60000001,$1,$1,$1,$1,$1,$10000001,$1,$1,$80000001
	long	$1,$1,$1,$7,$1,$1,$1,$1,$1,$71,$1,$1,$1,$1,$1,$1C000001,$1,$1,$1,$1,$1,$60000001,$1,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$1,$1,$1,$181,$1,$1,$1,$1,$1,$3000001,$1,$1,$1,$1,$1,$80000001,$1,$1,$80000001
	long	$1,$1,$80000001,$1,$1,$1,$1,$1,$1,$601,$1,$1,$1,$1,$1,$C00001,$1,$1,$1,$1,$1,$1,$1,$1,$80000001
	long	$1,$1,$60000001,$1,$1,$1,$1,$1,$1,$1801,$1,$1,$1,$1,$1,$300001,$1,$1,$1,$1,$1,$1,$7,$1,$80000001
	long	$1,$1,$10000001,$1,$1,$1,$1,$1,$1,$E001,$1,$1,$1,$1,$1,$E0001,$1,$1,$1,$1,$1,$1,$9,$1,$80000001
	long	$1,$1,$8000001,$1,$1,$1,$1,$1,$1,$30001,$1,$1,$1,$1,$1,$18001,$1,$1,$1,$1,$1,$1,$11,$1,$80000001
	long	$1,$1,$6000001,$1,$1,$1,$1,$1,$1,$1C0001,$1,$1,$1,$1,$1,$7001,$1,$1,$1,$1,$1,$1,$61,$1,$80000001
	long	$1,$1,$1000001,$1,$1,$1,$1,$1,$1,$600001,$1,$1,$1,$1,$1,$C01,$1,$1,$1,$1,$1,$1,$81,$1,$80000001
	long	$1,$1,$800001,$1,$1,$1,$1,$1,$1,$3800001,$1,$1,$1,$1,$1,$381,$1,$1,$1,$1,$1,$1,$101,$1,$80000001
	long	$1,$1,$600001,$1,$1,$1,$1,$1,$1,$1C000001,$1,$1,$1,$1,$1,$71,$1,$1,$1,$1,$1,$1,$601,$1,$80000001
	long	$1,$1,$100001,$1,$1,$1,$1,$1,$1,$E0000001,$1,$1,$1,$1,$1,$D,$1,$1,$1,$1,$1,$1,$801,$1,$80000001
	long	$1,$1,$80001,$1,$1,$1,$1,$1,$1,$1,$3,$1,$1,$1,$80000001,$3,$1,$1,$1,$1,$1,$1,$1001,$1,$80000001
	long	$1,$1,$60001,$1,$1,$1,$1,$1,$1,$1,$1D,$1,$1,$1,$70000001,$1,$1,$1,$1,$1,$1,$1,$6001,$1,$80000001
	long	$1,$1,$10001,$1,$1,$1,$1,$1,$1,$1,$1E1,$1,$1,$1,$F000001,$1,$1,$1,$1,$1,$1,$1,$8001,$1,$80000001
	long	$1,$1,$8001,$1,$1,$1,$1,$1,$1,$1,$E01,$1,$1,$1,$E00001,$1,$1,$1,$1,$1,$1,$1,$10001,$1,$80000001
	long	$1,$1,$6001,$1,$1,$1,$1,$1,$1,$1,$F001,$1,$1,$1,$1E0001,$1,$1,$1,$1,$1,$1,$1,$60001,$1,$80000001
	long	$1,$1,$1001,$1,$1,$1,$1,$1,$1,$1,$F0001,$1,$1,$1,$1E001,$1,$1,$1,$1,$1,$1,$1,$80001,$1,$80000001
	long	$1,$1,$801,$1,$1,$1,$1,$1,$1,$1,$F00001,$1,$1,$1,$1E01,$1,$1,$1,$1,$1,$1,$1,$100001,$1,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$1,$1,$101,$1,$1,$1,$1,$1,$1,$1,$F0000001,$1,$1,$1,$1F,$1,$1,$1,$1,$1,$1,$1,$800001,$1,$80000001
	long	$1,$1,$81,$1,$1,$1,$1,$1,$1,$1,$1,$7F,$1,$FC000001,$1,$1,$1,$1,$1,$1,$1,$1,$1000001,$1,$80000001
	long	$1,$1,$61,$1,$1,$1,$1,$1,$1,$1,$1,$1F81,$1,$3F00001,$1,$1,$1,$1,$1,$1,$1,$1,$6000001,$1,$80000001
	long	$1,$1,$11,$1,$1,$1,$1,$1,$1,$1,$1,$1FE001,$1,$FF001,$1,$1,$1,$1,$1,$1,$1,$1,$8000001,$1,$80000001
	long	$1,$1,$9,$1,$1,$1,$1,$1,$1,$1,$1,$FFE00001,$1,$FFF,$1,$1,$1,$1,$1,$1,$1,$1,$10000001,$1,$80000001
	long	$1,$1,$7,$1,$1,$1,$1,$1,$1,$1,$1,$1,$FFFFFFFF,$1,$1,$1,$1,$1,$1,$1,$1,$1,$60000001,$1,$80000001
	long	$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000001,$1,$80000001
	long	$1,$80000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000001
	long	$1,$60000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$7,$80000001
	long	$1,$10000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$9,$80000001
	long	$1,$8000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$11,$80000001
	long	$1,$6000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$61,$80000001
	long	$1,$1000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$81,$80000001
	long	$1,$800001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$101,$80000001
	long	$1,$600001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$601,$80000001
	long	$1,$100001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$801,$80000001
	long	$1,$80001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1001,$80000001
	long	$1,$60001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$6001,$80000001
	long	$1,$10001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$8001,$80000001
	long	$1,$8001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$10001,$80000001
	long	$1,$6001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$60001,$80000001
	long	$1,$1001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80001,$80000001
	long	$1,$801,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$100001,$80000001
	long	$1,$601,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$600001,$80000001
	long	$1,$101,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$800001,$80000001
	long	$1,$81,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1000001,$80000001
	long	$1,$61,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$6000001,$80000001
	long	$1,$11,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$8000001,$80000001
	long	$1,$9,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$10000001,$80000001
	long	$1,$7,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$60000001,$80000001
	long	$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000001,$80000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF
	long	$60000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000007
	long	$10000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000009
	long	$8000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000011
	long	$6000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000061
	long	$1000001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000081
	long	$800001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000101
	long	$600001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000601
	long	$100001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80000801
	long	$80001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80001001
	long	$60001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80006001
	long	$10001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80008001
	long	$8001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80010001
	long	$6001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80060001
	long	$1001,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80080001
	long	$801,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80100001
	long	$601,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80600001
	long	$101,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$80800001
	long	$81,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$81000001
	long	$61,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$86000001
	long	$11,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$88000001
	long	$9,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$90000001
	long	$7,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$1,$E0000001
	long	$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF,$FFFFFFFF


